export type TolgeeKey = {
	keyId: number;
	keyName: string;
	keyNamespace: string;
	keyDescription: string;
	keyTags: TolgeeTag[];
	translations: {
		en: {
			id: number;
			text: string;
			state: 'REVIEWED' | 'TRANSLATED';
		};
		cs: {
			id: number;
			text: string | null;
			state: 'REVIEWED' | 'TRANSLATED';
		};
		csf: {
			id: number;
			text: string | null;
			state: 'REVIEWED' | 'TRANSLATED';
		};
	};
};

export type TolgeeTag = {
	name: string;
};

export type TolgeeTranslationsResponse = {
	_embedded: {
		keys: TolgeeKey[];
	};
	page: {
		size: number;
		totalElements: number;
		totalPages: number;
		number: number;
	};
};

export type TreeNode = {
	key: string;
	children: TreeNode[];
};
